> ## Documentation Index
> Fetch the complete documentation index at: https://docs.podcastor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Cover context

> Get project context for cover generation.

MCP tool: `podcast_cover_context`. OAuth scope: `podcast.read`.


## OpenAPI

````yaml api-reference/openapi.json GET /open/podcast/v1/covers/context
openapi: 3.0.3
info:
  description: >-
    Atomic Podcast capabilities. Credits, tasks and assets are shared with the
    Web account and Space.
  title: Podcastor API
  version: 1.0.0
servers:
  - url: https://api-services.podcastor.ai
    description: Podcastor API
security: []
paths:
  /open/podcast/v1/covers/context:
    get:
      tags:
        - Podcast
      summary: cover context
      description: Get project context for cover generation.
      operationId: podcast_cover_context
      parameters:
        - in: query
          name: project_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/echo.JSON'
                  - properties:
                      data:
                        $ref: '#/components/schemas/vo.PodcastCoverContextResp'
                    type: object
          description: OK
      security:
        - ApiKey: []
components:
  schemas:
    echo.JSON:
      properties:
        cause:
          type: string
        code:
          type: integer
        data: {}
        details: {}
        msg:
          type: string
        rid:
          type: string
      type: object
    vo.PodcastCoverContextResp:
      properties:
        aspect_ratio:
          type: integer
        create_from:
          type: integer
        project_id:
          type: string
        reference_images:
          items:
            $ref: '#/components/schemas/vo.ReferenceImageResp'
          type: array
        script:
          type: string
        title:
          type: string
      type: object
    vo.ReferenceImageResp:
      properties:
        key:
          description: 类型：face/appearance/background
          type: string
        url:
          description: 图片URL
          type: string
      type: object
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````